/* Boxer */
#boxer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(50,50,50,0.6);
  z-index: 200;
  transition: ease-in-out 0.15s;
  opacity: 0;
  display: none;
  /*
  -webkit-backdrop-filter: blur(1px);
  backdrop-filter: blur(1px);
  */
  /*
  CUSTOM
  */
  backdrop-filter: blur(5px);

}
#boxer > div {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#boxer-box {
  display: block;
  width: 80%;
  margin: auto;
  max-width: 400px;
  background: #ffffff;
  box-shadow: 0px 10px 30px rgba(0,0,0,0.1);
  border-radius: 10px;
  transition: ease-in-out 0.2s;
  transform: translateY(10px) scale(0.9);
  opacity: 0;
}
#boxer-header{
  border-radius: 10px 10px 0px 0px;
  background: #efefef;
  border-bottom: 1px solid #e0e0e0;
  padding: 17px 25px;
  font-family: bold;
  text-align: left !important;
}
#boxer-text {
  padding: 20px 25px 0px 25px;
  line-height: 1.5em;
  text-align: justify !important;
  font-size: 0.9em;
}
#boxer-buttons {
  padding: 25px;
  text-align: right;
}
#boxer-buttons > div {
  display: inline-block;
  border-radius: 5px;
  transition: ease-in-out 0.2s;
  padding: 10px 20px;
  color: #ffffff;
  cursor: pointer;
}
#boxer-buttons > div:hover {
  opacity: 0.6;
}
#boxer-button-negative {
  background: #dddddd;
  margin-right: 10px;
  color: #555555 !important;
}
#boxer-button-positive {
  background: var(--special-color);
}
/* alerter */
#alerter {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  text-align: center;
  z-index: 99;
  transform: translateY(-200px);
  opacity: 1;
  transition: ease-in-out 0.6s;
}
#alerter > div {
  width: 80%;
  max-width: 400px;
  margin: auto;
  margin-top: 50px;
  text-align: left;
  box-shadow: 0px 10px 20px rgba(0,0,0,0.1);
  border-radius: 5px;
}
#alerter-header {
  border-radius: 5px 5px 0px 0px;
  color: #ffffff;
  padding: 12px 15px;
  font-family: bold;
  background-color: #555555;
  background-color: #1896dd;
  /*
  background-image: url('icon-close.png');
  background-repeat: no-repeat;
  background-position: right center;
  background-size: contain;
  cursor: pointer;
  */
}
#alerter-text {
  border-radius: 0px 0px 5px  5px;
  background: #ffffff;
  border-top: none;
  padding: 15px;
  text-align: justify;
  line-height: 1.5em;
}
#alerter-bar {
  position: relative;
  top: -4px;
  height: 4px;
  margin-bottom: -4px;
  background: rgba(0,0,0,0.1);
  transition: linear 4s;
  transform-origin: left;
}
#boxer .material-symbols-outlined, #alerter .material-symbols-outlined {
  position: relative;
  top: 8px;
  left: 0px;
  margin-top: -8px;
  margin-bottom: -10px;
  margin-right: 8px;
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}
